import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

const FormItem = Form.Item;
const Option = Select.Option

export default class T23 extends Component
{

    name='23'
    desp = "Further Identification"
    
    pattern = ""
    tno = -1
   onChange=(val)=>{
        this.props.onValue([{s1:val},val])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<Row>
            <Col span={21}> 
                <FormItem
                help={errmsg.s1}
                 validateStatus={errmsg.s1?'error':null}
                >
                       <Select  
                           placeholder="Further Identification"
                           showSearch
                           
                           allowClear={true}
                            optionFilterProp="children"
                            notFoundContent="Wrong Code"
                            style={{ width: "100%" }} value={value.s1} onChange={val=>this.onChange(val)} >
                                {

                                    this.props.SELCode.map(code=>{
                                        return <Option value={code} key={code}>{code}</Option>
                                    })
                                }
                                
                            </Select>
                </FormItem>
            </Col>
        </Row>)
    }
}